import datetime

class DateTimeMixin(object):

    def currentDateTime(self):
        return datetime.datetime.now()

    def now(self):
        return self.currentDateTime()

    def currentDate(self):
        return self.currentDateTime().date()

    def today(self):
        return self.currentDate()

    def currentTime(self):
        return self.currentDateTime().time()

    def time(self):
        return self.currentTime()
